Page MenuHome

Hitting Render Button on Workbench Engine crashes Blender 2.8
Closed, ArchivedPublic

Description

System Information
Operating system: Windows 8.1
Graphics card: GTX 1080

Blender Version
Broken: (Blender 2.80 BETA 32-bit, 2019-03-30)
Worked: (optional)

Short description of error
There is a problem with Workbench Engine. If you attempt to render a Image, Blender will crash immediately.

Exact steps for others to reproduce the error
Attached a clip below:

Details

Type
Bug

Event Timeline

Does not trivially reproduce with the 64-bit version, however when I try with the 32-bit version (on 64-bit Windows) I run into the (long standing, at least here) problem that 90% of the time Blender immediately exits without displaying any message. After ten or so attempts it finally started, and at that point I was unable to reproduce the issue.

Needs to be tested on a real 32-bit Windows version I think.

Can't reproduce on linux either. So this is probably 32bit windows related.

@LazyDodo (LazyDodo) can you reproduce this?

Can't reproduce, but i fixed a buffer overflow on 32 bit regarding studio lights just now, perhaps that was it, see if tomorrows build is better?

Philipp Oeser (lichtwerk) triaged this task as Needs Information from User priority.Apr 1 2019, 10:01 AM

@Robert Zaku (robertzaku1) : could you check if todays build still has this issue?

Philipp Oeser (lichtwerk) raised the priority of this task from Needs Information from User to Needs Triage by Developer.Apr 1 2019, 11:24 AM

bummer, well keep an eye on T63164 which could be the cause as well

Brecht Van Lommel (brecht) triaged this task as Needs Information from User priority.Apr 16 2019, 12:51 AM

Is this fixed in the latest builds? (now that T63164 is fixed)

Philipp Oeser (lichtwerk) claimed this task.

Since last asking for information it has been 7 or more days, due to the policy of our bug tracker we will have to archive the report until the requested information is given.